//
//  TextureBackgroundLavaShader.fsh
//  BrickBreaker
//
//  Created by SnTApps on 12/30/15.
//  Copyright (c) 2015 SnTApps. All rights reserved.
//

varying mediump float v_textureOffset0;
varying mediump vec2 v_texCoord0;

uniform mediump vec4 u_tintColor0;
uniform sampler2D u_texture0;
uniform mediump vec2 u_textureOffset0;
uniform mediump vec4 u_textureRect0;

void main()
{
    mediump vec2 texCoord = v_texCoord0;
    mediump float coefficient = 1.0 - (u_textureOffset0.x + texCoord.s) * 0.5;
    
    texCoord.t = clamp(texCoord.t + sign(texCoord.t - 0.5) * coefficient * u_textureOffset0.y, 0.0, 1.0);
    texCoord = vec2(u_textureRect0.s + texCoord.s * u_textureRect0.p, u_textureRect0.t + texCoord.t * u_textureRect0.q);
    
    mediump vec4 color = u_tintColor0 * texture2D(u_texture0, texCoord);
    
    gl_FragColor = color * vec4(pow(color.a, 1.0 - u_textureOffset0.x));
}
