//
//  TextureLightingShader.fsh
//  BrickBreaker
//
//  Created by SnTApps on 8/29/15.
//  Copyright (c) 2015 SnTApps. All rights reserved.
//

varying mediump vec2 v_texCoord0;
varying mediump vec2 v_texCoord1;
varying mediump vec2 v_texCoord2;

uniform mediump vec4 u_tintColor0;
uniform sampler2D u_texture0;

void main()
{
    mediump vec4 baseColor = texture2D(u_texture0, v_texCoord0);
    mediump vec4 diffuseColor = texture2D(u_texture0, v_texCoord1);
    mediump vec4 specularColor = texture2D(u_texture0, v_texCoord2);
    
    gl_FragColor = u_tintColor0 * vec4(clamp(baseColor.rgb * diffuseColor.rgb + specularColor.rgb, 0.0, 1.0), baseColor.a);
}
