//
//  TextureLightingShader.vsh
//  BrickBreaker
//
//  Created by SnTApps on 8/29/15.
//  Copyright (c) 2015 SnTApps. All rights reserved.
//

attribute highp vec4 a_position;
attribute mediump vec2 a_texCoord0;

varying mediump vec2 v_texCoord0;
varying mediump vec2 v_texCoord1;
varying mediump vec2 v_texCoord2;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform mediump vec2 u_textureRotation0;
uniform mediump vec4 u_textureRect0;
uniform mediump vec4 u_textureRect1;
uniform mediump vec4 u_textureRect2;

void main()
{
    v_texCoord0 = vec2(a_texCoord0.s - 0.5, a_texCoord0.t - 0.5);
    v_texCoord0 = vec2(0.5 + u_textureRotation0.s * v_texCoord0.s + u_textureRotation0.t * v_texCoord0.t, 0.5 - u_textureRotation0.t * v_texCoord0.s + u_textureRotation0.s * v_texCoord0.t);
    v_texCoord0 = vec2(u_textureRect0.s + u_textureRect0.p * v_texCoord0.s, u_textureRect0.t + u_textureRect0.q * v_texCoord0.t);
    
    v_texCoord1 = vec2(u_textureRect1.s + u_textureRect1.p * a_texCoord0.s, u_textureRect1.t + u_textureRect1.q * a_texCoord0.t);
    v_texCoord2 = vec2(u_textureRect2.s + u_textureRect2.p * a_texCoord0.s, u_textureRect2.t + u_textureRect2.q * a_texCoord0.t);

    gl_Position = u_modelViewProjectionMatrix * a_position;
}
